Bug 132534 - Help L10N: "Chemical Formulas Examples" help page contains unlocalizable string
Summary: Help L10N: "Chemical Formulas Examples" help page contains unlocalizable string
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-04-29 20:48 UTC by Modestas Rimkus
Modified: 2020-06-29 22:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Modestas Rimkus 2020-04-29 20:48:05 UTC
Description:
The new Help page "Chemical Formulas Examples" (/text/smath/01/chemical.html) contains a string with an example of chemical formula:

nitalic{{U lsup 238 lsub 92 + n} ~~toward~~ {U lsup 239 lsub 92 + %gamma} ~~binom{{size 6{{%beta}-{}}}} {toward} ~~ Np lsup 239 lsub 93 ~~binom{{size 6{{%beta}-{}}}}{toward}~~ Pu lsup 239 lsub 94}

This string contains names of Greek letters %gamma and %beta, which are localizable in Math application. When such (unlocalized) string is pasted into Commands window of a localized Math app (that has %gamma and %beta translated), "%gamma" and "%beta" are visible in the formula instead of proper Greek letters.

The string with the formula example should be localizable and available in Weblate.

Steps to Reproduce:
1. Paste the formula example to the Commands window in Math:

nitalic{{U lsup 238 lsub 92 + n} ~~toward~~ {U lsup 239 lsub 92 + %gamma} ~~binom{{size 6{{%beta}-{}}}} {toward} ~~ Np lsup 239 lsub 93 ~~binom{{size 6{{%beta}-{}}}}{toward}~~ Pu lsup 239 lsub 94}

Actual Results:
"%gamma" and "%beta" visible in the formula

Expected Results:
Proper Greek letters displayed instead


Reproducible: Always


User Profile Reset: No



Additional Info:
https://helponline.libreoffice.org/7.0/lt/text/smath/01/chemical.html?&DbPAR=MATH&System=UNIX
Comment 1 Commit Notification 2020-04-30 00:41:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/5999ae5b939b73fbb194547a7bd134859a3c8a43

tdf#132534 Unmute l10nN in chemical formula